Put V 2 Assets Id

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idintegerRequired

Request

This endpoint expects an object.
identifierstringOptional
location_idstringOptional
serialstringOptional
asset_idstringOptional
manufacturer_detail_idstringOptional
make_detail_idstringOptional
model_detail_idstringOptional
custom_fieldslist of objectsOptional

Response

updated Asset
idstring
ULID
identifierstring
serialstring
location_idstring
ULID
parent_idstring
ULID
manufacturer_detail_idstring
ULID
make_detail_idstring
ULID
model_detail_idstring
ULID
editableboolean
locationobject
make_detailobject
manufacturer_detailobject
model_detailobject
statusobject
parentobject
custom_fieldslist of objects
custom_field_definitionslist of objects
related_assetslist of objects
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)